Applications
The application catalogue (winget, apt, Snap, Flathub, dnf and uploaded installers), search across package sources, assignments (required, uninstall, exclude) to all devices, sites, groups or single devices, and one-off installs.
| Method | Path | Summary |
|---|---|---|
| GET | /v2/app/rmm-apps | ?site_id=&group_id= (RMM2's selection) narrows the device counts |
| GET | /v2/app/rmm-apps/search | Search package sources |
| GET | /v2/app/rmm-apps/lookup | Check an exact package name |
| GET | /v2/app/rmm-apps/targets | Sites, groups and devices an app can be assigned to |
| POST | /v2/app/rmm-apps/apps | Add an app to the catalogue |
| GET | /v2/app/rmm-apps/apps/:id | Get an app |
| PUT | /v2/app/rmm-apps/apps/:id | Update an app |
| DELETE | /v2/app/rmm-apps/apps/:id | Remove an app from the catalogue |
| POST | /v2/app/rmm-apps/apps/:id/installers | Start uploading an installer (Windows MSI/EXE) |
| PUT | /v2/app/rmm-apps/apps/:id/installers/:iid/parts/:n | Upload one part of an installer |
| POST | /v2/app/rmm-apps/apps/:id/installers/:iid/complete | Finish an installer upload |
| DELETE | /v2/app/rmm-apps/apps/:id/installers/:iid | Delete an uploaded installer |
| POST | /v2/app/rmm-apps/apps/:id/sync | Push an app's assignments to devices now |
| GET | /v2/app/rmm-apps/device/:deviceId | A device's managed apps and their state |
| POST | /v2/app/rmm-apps/device/:deviceId/install | Install an app on a device once |
| POST | /v2/app/rmm-apps/device/:deviceId/uninstall | Uninstall an app from a device |
| DELETE | /v2/app/rmm-apps/device/:deviceId/apps/:appId | Clear an app's state on a device |
#?site_id=&group_id= (RMM2's selection) narrows the device counts
GET
/v2/app/rmm-apps- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.view.
Response 200
| Field | Type | Description |
|---|---|---|
apps | array of any | |
platforms | array of any | |
managers | array of any | |
min_agent | any | |
can | object | |
can.manage | any | |
can.deploy | any |
Example response
JSON
{
"apps": [],
"platforms": [],
"managers": [],
"min_agent": null,
"can": {
"manage": null,
"deploy": null
}
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps' -Headers $headers#Search package sources
GET
/v2/app/rmm-apps/searchSearches winget, the Snap Store, Flathub and the apt/dnf repositories for an app to add.
- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/search- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.view.
Query parameters
| Name | Type | Description |
|---|---|---|
q | any |
Response 200
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/search' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/search', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/search",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/search' -Headers $headers#Check an exact package name
GET
/v2/app/rmm-apps/lookup- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/lookup- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.view.
Query parameters
| Name | Type | Description |
|---|---|---|
manager | any | |
id | integer |
Response 200
| Field | Type | Description |
|---|---|---|
found | boolean | |
package | any |
Example response
JSON
{
"found": false,
"package": null
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/lookup' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/lookup', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/lookup",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/lookup' -Headers $headers#Sites, groups and devices an app can be assigned to
GET
/v2/app/rmm-apps/targets- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/targets- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.view.
Response 200
| Field | Type | Description |
|---|---|---|
sites | array of any | |
groups | array of any | |
devices | array of any |
Example response
JSON
{
"sites": [],
"groups": [],
"devices": []
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/targets' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/targets', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/targets",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/targets' -Headers $headers#Add an app to the catalogue
POST
/v2/app/rmm-apps/apps- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.manage.
Request body JSON
| Name | Type | Description |
|---|---|---|
name | string | The app's name. |
publisher | any | Who makes it. |
description | string | |
sources | array of any | Where to install it from per platform, e.g. winget id, apt package, Flathub id. |
assignments | array of any | Who gets it: required / uninstall / exclude, for all devices, sites, groups or devices. |
Response 201
| Field | Type | Description |
|---|---|---|
id | integer |
Example response
JSON
{
"id": 42
}Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"Example name","publisher":"…","description":"string","sources":[],"assignments":[]}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"name":"Example name","publisher":"…","description":"string","sources":[],"assignments":[]}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"name":"Example name","publisher":"…","description":"string","sources":[],"assignments":[]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"name":"Example name","publisher":"…","description":"string","sources":[],"assignments":[]}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps' -Headers $headers -ContentType 'application/json' -Body $body#Get an app
GET
/v2/app/rmm-apps/apps/:id- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/:id- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.view.
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | integer |
Response 200
Errors
| Status | Message |
|---|---|
| 404 | App not found |
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42' -Headers $headers#Update an app
PUT
/v2/app/rmm-apps/apps/:id- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/:id- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.manage.
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | integer |
Request body JSON
| Name | Type | Description |
|---|---|---|
name | string | |
publisher | any | |
description | string | |
sources | array of any | |
assignments | array of any |
Response 200
| Field | Type | Description |
|---|---|---|
id | integer |
Example response
JSON
{
"id": 42
}Errors
| Status | Message |
|---|---|
| 404 | App not found |
Example request
Bash
curl -X PUT 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"Example name","publisher":"…","description":"string","sources":[],"assignments":[]}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42', {
method: 'PUT',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"name":"Example name","publisher":"…","description":"string","sources":[],"assignments":[]}),
});
const data = await res.json();Python
import os, requests
r = requests.put(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"name":"Example name","publisher":"…","description":"string","sources":[],"assignments":[]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"name":"Example name","publisher":"…","description":"string","sources":[],"assignments":[]}'
Invoke-RestMethod -Method PUT -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42' -Headers $headers -ContentType 'application/json' -Body $body#Remove an app from the catalogue
DELETE
/v2/app/rmm-apps/apps/:id- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/:id- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.manage.
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | integer |
Response 200
| Field | Type | Description |
|---|---|---|
message | string |
Example response
JSON
{
"message": "Saved"
}Errors
| Status | Message |
|---|---|
| 404 | App not found |
Example request
Bash
curl -X DELETE 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42', {
method: 'DELETE',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.delete(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method DELETE -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42' -Headers $headers#Start uploading an installer (Windows MSI/EXE)
POST
/v2/app/rmm-apps/apps/:id/installersReturns an upload id. Send the file in parts with the PUT …/parts/:n endpoint, then call …/complete.
- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/:id/installers- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.manage.
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | integer |
Request body JSON
| Name | Type | Description |
|---|---|---|
file_name | string | The installer's file name. |
size | integer | Its size in bytes. |
version | any | The app version it installs. |
args | array of any | Silent-install arguments. |
Response 201
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"file_name":"Example file name","size":1,"version":"…","args":[]}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"file_name":"Example file name","size":1,"version":"…","args":[]}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"file_name":"Example file name","size":1,"version":"…","args":[]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"file_name":"Example file name","size":1,"version":"…","args":[]}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers' -Headers $headers -ContentType 'application/json' -Body $body#Upload one part of an installer
PUT
/v2/app/rmm-apps/apps/:id/installers/:iid/parts/:nThe request body is the raw bytes of part n.
- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/:id/installers/:iid/parts/:n- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.manage.
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | integer | |
iidrequired | integer | |
nrequired | number |
Response 200
| Field | Type | Description |
|---|---|---|
ok | boolean |
Example response
JSON
{
"ok": true
}Example request
Bash
curl -X PUT 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers/1/parts/12.5' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers/1/parts/12.5', {
method: 'PUT',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.put(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers/1/parts/12.5",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method PUT -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers/1/parts/12.5' -Headers $headers#Finish an installer upload
POST
/v2/app/rmm-apps/apps/:id/installers/:iid/complete- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/:id/installers/:iid/complete- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.manage.
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | integer | |
iidrequired | integer |
Response 200
Example response
JSON
trueExample request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers/1/complete' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers/1/complete', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers/1/complete",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers/1/complete' -Headers $headers#Delete an uploaded installer
DELETE
/v2/app/rmm-apps/apps/:id/installers/:iid- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/:id/installers/:iid- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.manage.
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | integer | |
iidrequired | integer |
Response 200
| Field | Type | Description |
|---|---|---|
message | string |
Example response
JSON
{
"message": "Saved"
}Example request
Bash
curl -X DELETE 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers/1' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers/1', {
method: 'DELETE',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.delete(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers/1",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method DELETE -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/installers/1' -Headers $headers#Push an app's assignments to devices now
POST
/v2/app/rmm-apps/apps/:id/sync- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/:id/sync- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.manage.
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | integer |
Response 200
| Field | Type | Description |
|---|---|---|
queued | any |
Example response
JSON
{
"queued": null
}Errors
| Status | Message |
|---|---|
| 404 | App not found |
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/sync' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/sync', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/sync",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/apps/42/sync' -Headers $headers#A device's managed apps and their state
GET
/v2/app/rmm-apps/device/:deviceId- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/:deviceId- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.view.
Path parameters
| Name | Type | Description |
|---|---|---|
deviceIdrequired | integer |
Response 200
| Field | Type | Description |
|---|---|---|
can | object | |
can.manage | any | |
can.deploy | any |
Example response
JSON
{
"…r": "…",
"can": {
"manage": null,
"deploy": null
}
}Errors
| Status | Message |
|---|---|
| 404 | Device not found |
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/1' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/1', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/1",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/1' -Headers $headers#Install an app on a device once
POST
/v2/app/rmm-apps/device/:deviceId/install- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/:deviceId/install- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.deploy.
Path parameters
| Name | Type | Description |
|---|---|---|
deviceIdrequired | integer |
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/1/install' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/1/install', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/1/install",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/1/install' -Headers $headers#Uninstall an app from a device
POST
/v2/app/rmm-apps/device/:deviceId/uninstall- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/:deviceId/uninstall- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.deploy.
Path parameters
| Name | Type | Description |
|---|---|---|
deviceIdrequired | integer |
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/1/uninstall' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/1/uninstall', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/1/uninstall",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/1/uninstall' -Headers $headers#Clear an app's state on a device
DELETE
/v2/app/rmm-apps/device/:deviceId/apps/:appId- Address
https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/:deviceId/apps/:appId- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Permission (any of):rmm.apps.manage.
Path parameters
| Name | Type | Description |
|---|---|---|
deviceIdrequired | string | |
appIdrequired | number |
Response 200
| Field | Type | Description |
|---|---|---|
removed | integer |
Example response
JSON
{
"removed": 1
}Example request
Bash
curl -X DELETE 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/string/apps/12.5' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/string/apps/12.5', {
method: 'DELETE',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.delete(
"https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/string/apps/12.5",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method DELETE -Uri 'https://<your-org>.brambleit.cloud/api/v2/app/rmm-apps/device/string/apps/12.5' -Headers $headersWas this page helpful?
Thanks for your feedback.